Compilation Error



  • Everytime I try to compile a plugin that I make, an error comes up saying invalid path.

    I have downloaded all the files related to HISE, the SDK kits for ASIO, VST also. I have placed them in the SDK folder of HISE Master.

    Still in spite of all this, an error comes and it does not allow me to create the plugin. ANy help??

    While compiling, the following message is appearing..

    The system cannot find the path specified

    The system cannot find the file specified.

    Ok... I downloaded the intel IPP and find that a new error has come up... the following is the message. I would like to inform that I downloaded Visual Studio 2017 also and its a 64 bit application, however the error shows it looking for in X86 folder. Is there anyways to sort this problem... Thanks

    Error Message:

    Error MSB4019 - Program Files (x86)\Microsoft Visual Studio\2017\community\common7\IDE\VC\VCTargets\Microsoft.cpp.default.props" was not foundf
    confirm the path in the <import> declaration is correct, and that the file exists on disk.



  • @trigush said in Compilation Error:

    that I make, an error comes up saying invalid path.
    I have downloaded all the files related to HISE, the SDK kits for ASIO, VST also. I have placed them in the SDK folder of HISE Master.
    Still in spite of all this, an error comes and it does not allow me to create the plugin. ANy help??
    While compiling, the following mess

    Go to File >> preferences, scroll down to Compiler Settings, in the HISE path field click the browse button, point it to the HISE source code folder.



  • @d-healey I did what you said, but it still gives me an error related to visual studio.

    I am adding the file with the error report.. Hope you can help me solve this...

    Thanks

    0_1539269831400_d5a53d49-2e3d-4f56-9675-2ba019b35075-image.png



  • @d-healey Do I need to download Microsoft Visual Studio 2017 in order to use HISE or can I manage without it?? I tried downlaoding VS2017, But i dont know what other addons ( some c++ workloads etc..!!) will be required for this.. I am very new to this environment . I would appreciate if you can make a video on your youtube channel regarding the installation process. Many of us would like to create instruments for sound design and libraries, but would not be as well versed as yourselves in the programming realm. Thanks. !!



  • You need 2017 for sure



  • Yup VS2017 it is plus the C++ extensions that will install themselves when you need them.


 

2
Online

353
Users

1.1k
Topics

7.5k
Posts